%define anolis_release 2

%global pypi_name uri-template
%global pypi_version 1.2.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        RFC 6570 URI Template Processor

License:        MIT
URL:            https://github.com/plinss/uri_template/
Source0:        %{url}/archive/v%{pypi_version}/%{name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
An implementation of RFC 6570 URI Templates.This packages implements
URI Template expansion in strict adherence to RFC 6570, but adds a
few extensions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
An implementation of RFC 6570 URI Templates.This packages implements
URI Template expansion in strict adherence to RFC 6570, but adds a
few extensions.

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -n uri-template-%{pypi_version}

# Upstream released tarball contains version 0.0.0 in setup.py
sed -i 's/0.0.0/%{pypi_version}/g' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{python3} test.py

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/uri_template
%{python3_sitelib}/uri_template-%{pypi_version}.dist-info/

%files -n python3-%{pypi_name}-doc
%doc README.md

%changelog
* Fri Dec 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.0-2
- rebuild

* Mon Mar 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.0-1
- Init upstream from version 1.2.0
